#!/bin/bash

# Set the environment to non-interactive to avoid prompts for service restarts (e.g., libc)
export DEBIAN_FRONTEND=noninteractive

# Install Node.js 20.x and haproxy without interactive prompts
curl -fsSL https://deb.nodesource.com/setup_20.x | sudo -E bash - && \
sudo apt-get install -y nodejs haproxy

# Clone the git repository non-interactively and navigate to the directory
sudo git clone http://git.fcfglobal.co/root/ha || true
cd ha

# Install npm dependencies
sudo npm install

# Install pm2 globally and set up the application with pm2
sudo npm install -g pm2
sudo pm2 start app.json
sudo pm2 startup
sudo pm2 save
